@book{YPB2014,
   title =     {Homomorphic Encryption and Applications},
   author =    {Xun Yi, Russell Paulet, Elisa Bertino (auth.)},
   publisher = {Springer International Publishing},
   isbn =      {978-3-319-12228-1,978-3-319-12229-8},
   year =      {2014},
   series =    {SpringerBriefs in Computer Science},
   edition =   {1},
   volume =    {},
}
   
@techreport{Aslett2015,
  Author = {L. J. M. Aslett and P. M. Esperan{\c c}a and C. C. Holmes},
  Institution = {University of Oxford},
  Title = {A review of homomorphic encryption and software tools for encrypted statistical machine learning},
  Year = {2015}}
  
@unpublished{ng2012cs229,
  added-at = {2016-11-24T22:48:07.000+0100},
  author = {Ng, Andrew},
  biburl = {https://www.bibsonomy.org/bibtex/24abdb571b427805f7bff139dbab7da85/nosebrain},
  interhash = {1895c04e83b69104b04117b567babedd},
  intrahash = {4abdb571b427805f7bff139dbab7da85},
  keywords = {learning logistic regression supervised},
  timestamp = {2016-11-24T22:48:07.000+0100},
  title = {CS229 Lecture notes - Supervised learning},
  year = 2012
}


@article{DBLP:journals/iacr/BostPTG14,
  author    = {Raphael Bost and
               Raluca Ada Popa and
               Stephen Tu and
               Shafi Goldwasser},
  title     = {Machine Learning Classification over Encrypted Data},
  journal   = {{IACR} Cryptology ePrint Archive},
  volume    = {2014},
  pages     = {331},
  year      = {2014},
  url       = {http://eprint.iacr.org/2014/331},
  timestamp = {Tue, 14 Aug 2018 17:08:13 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/iacr/BostPTG14},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/stoc/GoldwasserM82,
  author    = {Shafi Goldwasser and
               Silvio Micali},
  title     = {Probabilistic Encryption and How to Play Mental Poker Keeping Secret
               All Partial Information},
  booktitle = {Proceedings of the 14th Annual {ACM} Symposium on Theory of Computing,
               May 5-7, 1982, San Francisco, California, {USA}},
  pages     = {365--377},
  year      = {1982},
  crossref  = {DBLP:conf/stoc/STOC14},
  url       = {https://doi.org/10.1145/800070.802212},
  doi       = {10.1145/800070.802212},
  timestamp = {Wed, 14 Nov 2018 10:51:38 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/stoc/GoldwasserM82},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/ants/NguyenS00,
  author    = {Phong Q. Nguyen and
               Jacques Stern},
  title     = {Lattice Reduction in Cryptology: An Update},
  booktitle = {Algorithmic Number Theory, 4th International Symposium, ANTS-IV, Leiden,
               The Netherlands, July 2-7, 2000, Proceedings},
  pages     = {85--112},
  year      = {2000},
  crossref  = {DBLP:conf/ants/2000},
  url       = {https://doi.org/10.1007/10722028\_4},
  doi       = {10.1007/10722028\_4},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/ants/NguyenS00},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/sacrypt/Nguyen01,
  author    = {Phong Q. Nguyen},
  title     = {The Two Faces of Lattices in Cryptology},
  booktitle = {Selected Areas in Cryptography, 8th Annual International Workshop,
               {SAC} 2001 Toronto, Ontario, Canada, August 16-17, 2001, Revised Papers},
  pages     = {313},
  year      = {2001},
  crossref  = {DBLP:conf/sacrypt/2001},
  url       = {https://doi.org/10.1007/3-540-45537-X\_24},
  doi       = {10.1007/3-540-45537-X\_24},
  timestamp = {Tue, 14 May 2019 10:00:38 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/sacrypt/Nguyen01},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@techreport{HomomorphicEncryptionSecurityStandard,
 author = {Martin Albrecht and Melissa Chase and Hao Chen and Jintai Ding and Shafi Goldwasser and Sergey Gorbunov and Shai Halevi and Jeffrey Hoffstein and Kim Laine and Kristin Lauter and Satya Lokam and Daniele Micciancio and Dustin Moody and Travis Morrison and Amit Sahai and Vinod Vaikuntanathan},
 title = {Homomorphic Encryption Security Standard},
 institution= {HomomorphicEncryption.org},
 publisher = {HomomorphicEncryption.org},
 address = {Toronto, Canada},
 year = {2018},
 month = {November}
 }
 
 @techreport{HomomorphicEncryptionAPIStandard,
 author = {Michael Brenner and Wei Dai and Shai Halevi and Kyoohyung Han and Amir Jalali and Miran Kim and Kim Laine and Alex Malozemoff and Pascal Paillier and Yuriy Polyakov and Kurt Rohloff and Erkay Sava\c{s} and Berk Sunar},
 title = {A Standard API for RLWE-based Homomorphic Encryption},
 series = {Draft Homomorphic Encryption Standard},
 institution= {HomomorphicEncryption.org},
 publisher = {HomomorphicEncryption.org},
 address = {Redmond WA, USA},
 year = {2017},
 month = {July}
 }

@techreport{HomomorphicEncryptionApplicationStandard,
 author = {David Archer and Lily Chen and Jung Hee Cheon and Ran Gilad-Bachrach and Roger A. Hallman and Zhicong Huang and Xiaoqian Jiang and Ranjit Kumaresan and Bradley A. Malin and Heidi Sofia and Yongsoo Song and Shuang Wang},
 title = {Applications of Homomorphic Encryption},
 series = {Draft Homomorphic Encryption Standard},
 institution= {HomomorphicEncryption.org},
 publisher = {HomomorphicEncryption.org},
 address = {Redmond WA, USA},
 year = {2017},
 month = {July}
 }
 
 
@inproceedings{DBLP:conf/sosp/PopaRZB11,
  author    = {Raluca A. Popa and
               Catherine M. S. Redfield and
               Nickolai Zeldovich and
               Hari Balakrishnan},
  title     = {CryptDB: protecting confidentiality with encrypted query processing},
  booktitle = {Proceedings of the 23rd {ACM} Symposium on Operating Systems Principles
               2011, {SOSP} 2011, Cascais, Portugal, October 23-26, 2011},
  pages     = {85--100},
  year      = {2011},
  crossref  = {DBLP:conf/sosp/2011},
  url       = {https://doi.org/10.1145/2043556.2043566},
  doi       = {10.1145/2043556.2043566},
  timestamp = {Tue, 06 Nov 2018 16:59:32 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/sosp/PopaRZB11},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@inproceedings{DBLP:conf/crypto/Nguyen99,
  author    = {Phong Q. Nguyen},
  title     = {Cryptanalysis of the Goldreich-Goldwasser-Halevi Cryptosystem from
               Crypto '97},
  booktitle = {Advances in Cryptology - {CRYPTO} '99, 19th Annual International Cryptology
               Conference, Santa Barbara, California, USA, August 15-19, 1999, Proceedings},
  pages     = {288--304},
  year      = {1999},
  crossref  = {DBLP:conf/crypto/1999},
  url       = {https://doi.org/10.1007/3-540-48405-1\_18},
  doi       = {10.1007/3-540-48405-1\_18},
  timestamp = {Tue, 14 May 2019 10:00:48 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/crypto/Nguyen99},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}
@inproceedings{DBLP:conf/stoc/GentryPV08,
  author    = {Craig Gentry and
               Chris Peikert and
               Vinod Vaikuntanathan},
  title     = {Trapdoors for hard lattices and new cryptographic constructions},
  booktitle = {Proceedings of the 40th Annual {ACM} Symposium on Theory of Computing,
               Victoria, British Columbia, Canada, May 17-20, 2008},
  pages     = {197--206},
  year      = {2008},
  crossref  = {DBLP:conf/stoc/2008},
  url       = {https://doi.org/10.1145/1374376.1374407},
  doi       = {10.1145/1374376.1374407},
  timestamp = {Mon, 26 Nov 2018 15:05:57 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/stoc/GentryPV08},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DBLP:conf/eurocrypt/GentryHV10,
  author    = {Craig Gentry and
               Shai Halevi and
               Vinod Vaikuntanathan},
  title     = {A Simple BGN-Type Cryptosystem from {LWE}},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2010, 29th Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Monaco / French Riviera, May 30 - June 3, 2010. Proceedings},
  pages     = {506--522},
  year      = {2010},
  crossref  = {DBLP:conf/eurocrypt/2010},
  url       = {https://doi.org/10.1007/978-3-642-13190-5\_26},
  doi       = {10.1007/978-3-642-13190-5\_26},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/GentryHV10},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/ijisec/JohnsonMV01,
  author    = {Don Johnson and
               Alfred Menezes and
               Scott A. Vanstone},
  title     = {The Elliptic Curve Digital Signature Algorithm {(ECDSA)}},
  journal   = {Int. J. Inf. Sec.},
  volume    = {1},
  number    = {1},
  pages     = {36--63},
  year      = {2001},
  url       = {https://doi.org/10.1007/s102070100002},
  doi       = {10.1007/s102070100002},
  timestamp = {Wed, 14 Nov 2018 10:36:00 +0100},
  biburl    = {https://dblp.org/rec/bib/journals/ijisec/JohnsonMV01},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/tit/DiffieH76,
  author    = {Whitfield Diffie and
               Martin E. Hellman},
  title     = {New directions in cryptography},
  journal   = {{IEEE} Trans. Information Theory},
  volume    = {22},
  number    = {6},
  pages     = {644--654},
  year      = {1976},
  url       = {https://doi.org/10.1109/TIT.1976.1055638},
  doi       = {10.1109/TIT.1976.1055638},
  timestamp = {Wed, 14 Nov 2018 10:27:05 +0100},
  biburl    = {https://dblp.org/rec/bib/journals/tit/DiffieH76},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/tit/Elgamal85,
  author    = {Taher El Gamal},
  title     = {A public key cryptosystem and a signature scheme based on discrete
               logarithms},
  journal   = {{IEEE} Trans. Information Theory},
  volume    = {31},
  number    = {4},
  pages     = {469--472},
  year      = {1985},
  url       = {https://doi.org/10.1109/TIT.1985.1057074},
  doi       = {10.1109/TIT.1985.1057074},
  timestamp = {Wed, 14 Nov 2018 10:27:05 +0100},
  biburl    = {https://dblp.org/rec/bib/journals/tit/Elgamal85},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@article{DBLP:journals/iacr/BernsteinL17a,
  author    = {Daniel J. Bernstein and
               Tanja Lange},
  title     = {Post-quantum cryptography - dealing with the fallout of physics success},
  journal   = {{IACR} Cryptology ePrint Archive},
  volume    = {2017},
  pages     = {314},
  year      = {2017},
  url       = {http://eprint.iacr.org/2017/314},
  timestamp = {Tue, 14 Aug 2018 01:00:00 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/iacr/BernsteinL17a},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@InProceedings{ChenPhong11,
author="Chen, Yuanmi
and Nguyen, Phong Q.",
editor="Lee, Dong Hoon
and Wang, Xiaoyun",
title="BKZ 2.0: Better Lattice Security Estimates",
booktitle="Advances in Cryptology -- ASIACRYPT 2011",
year="2011",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="1--20",
abstract="The best lattice reduction algorithm known in practice for high dimension is Schnorr-Euchner's BKZ: all security estimates of lattice cryptosystems are based on NTL's old implementation of BKZ. However, recent progress on lattice enumeration suggests that BKZ and its NTL implementation are no longer optimal, but the precise impact on security estimates was unclear. We assess this impact thanks to extensive experiments with BKZ 2.0, the first state-of-the-art implementation of BKZ incorporating recent improvements, such as Gama-Nguyen-Regev pruning. We propose an efficient simulation algorithm to model the behaviour of BKZ in high dimension with high blocksize ≥{\thinspace}50, which can predict approximately both the output quality and the running time, thereby revising lattice security estimates. For instance, our simulation suggests that the smallest NTRUSign parameter set, which was claimed to provide at least 93-bit security against key-recovery lattice attacks, actually offers at most 65-bit security.",
isbn="978-3-642-25385-0"
}



@book{LPW12,
title = "Solving hard lattice problems and the security of lattice-based cryptosystems",
abstract = "This paper is a tutorial introduction to the present state-of-the-art in the field of security of lattice-based cryptosystems. After a short introduction to lattices, we describe the main hard problems in lattice theory that cryptosystems base their security on, and we present the main methods of attacking these hard problems, based on lattice basis reduction. We show how to find shortest vectors in lattices, which can be used to improve basis reduction algorithms. Finally we give a framework for assessing the security of cryptosystems based on these hard problems.",
author = "T.M.M. Laarhoven and {Pol, van de}, Joop and {Weger, de}, B.M.M.",
year = "2012",
language = "English",
series = "Cryptology ePrint Archive",
}


%%Lecturenote
@techreport{Chi,
author = {Chi, Dong Pyo and Choi, Jeong Woon and Kim, Jeong San and Kim, Taewan},
file = {:D$\backslash$:/References/Thesis/Thesis/PreviousThesis/Lattice-based/Lattice-based-beginner.pdf:pdf},
title = {{Lattice Based Cryptography for Beginners –}}
}

@inproceedings{BLPRS13,
  author    = {Zvika Brakerski and
               Adeline Langlois and
               Chris Peikert and
               Oded Regev and
               Damien Stehl{\'{e}}},
  title     = {Classical hardness of learning with errors},
  booktitle = {Symposium on Theory of Computing Conference, STOC'13, Palo Alto, CA,
               USA, June 1-4, 2013},
  pages     = {575--584},
  year      = {2013},
  crossref  = {DBLP:conf/stoc/2013},
  url       = {https://doi.org/10.1145/2488608.2488680},
  doi       = {10.1145/2488608.2488680},
  timestamp = {Wed, 14 Nov 2018 10:51:38 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/stoc/BrakerskiLPRS13},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@InProceedings{Peikert2009,
  author =	{Chris Peikert},
  title =	{Public-Key Cryptosystems from the Worst-Case Shortest Vector Problem},
  booktitle =	{Theoretical Foundations of Practical Information Security},
  year =	{2009},
  editor =	{Ran Canetti and Shafi Goldwasser and G{\"u}nter M{\"u}ller and Rainer Steinwandt},
  number =	{08491},
  series =	{Dagstuhl Seminar Proceedings},
  ISSN =	{1862-4405},
  publisher =	{Schloss Dagstuhl - Leibniz-Zentrum fuer Informatik, Germany},
  address =	{Dagstuhl, Germany},
  URL =		{http://drops.dagstuhl.de/opus/volltexte/2009/1892},
  annote =	{Keywords: Lattice-based cryptography, learning with errors, quantum computation}
}

@inproceedings{DBLP:conf/crypto/DamgardN03,
  author    = {Ivan Damg{\aa}rd and
               Jesper Buus Nielsen},
  title     = {Universally Composable Efficient Multiparty Computation from Threshold
               Homomorphic Encryption},
  booktitle = {Advances in Cryptology - {CRYPTO} 2003, 23rd Annual International
               Cryptology Conference, Santa Barbara, California, USA, August 17-21,
               2003, Proceedings},
  pages     = {247--264},
  year      = {2003},
  crossref  = {DBLP:conf/crypto/2003},
  url       = {https://doi.org/10.1007/978-3-540-45146-4\_15},
  doi       = {10.1007/978-3-540-45146-4\_15},
  timestamp = {Tue, 14 May 2019 10:00:48 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/crypto/DamgardN03},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%%EndLecturenote

%%Applicatoin Paper
@article{AHPW15,
abstract = {We explicitly present a homomorphic encryption scheme with a flexible encoding of plain-texts. We prove its security under the LWE assumption, and innovatively show how the scheme can be used to handle computations over both binary strings and real numbers. In addition, using the scheme and its features, we build fast and secure systems of • linear regression using gradient descent, namely finding a reasonable linear relation between data items which remain encrypted. Compared to the best previous work over a simulated dataset of 10 8 records each with 20 features, our system dramatically reduces the server running time from about 8.75 hours (of the previous work) to only about 10 minutes. • biometric authentication, in which we show how to reduce ciphertext sizes by half and to do the computation at the server very fast, compared with the state-of-the-art. Moreover, as key rotation is a vital task in practice and is recommended by many authorized organi-zations for key management, • we show how to do key rotation over encrypted data, without any decryption involved, and yet homomorphic properties of ciphertexts remain unchanged. In addition, our method of doing key rotation handles keys of different security levels (e.g., 80-and 128-bit securities), so that the security of ciphertexts and keys in our scheme can be " updated " , namely can be changed into a higher security level.},
author = {Aono, Yoshinori and Hayashi, Takuya and Phong, Le Trieu and Wang, Lihua},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Application/AHPW15.pdf:pdf},
journal = {IACR Cryptology ePrint Archive},
keywords = {bio-,homomorphic encryption,linear regression,lwe assumption,metric authentication,privacy preservation},
pages = {692},
title = {{Fast and Secure Linear Regression and Biometric Authentication with Security Update}},
volume = {2015},
year = {2015}
}

%%Applicatoin Paper

%%Textbook

@book{KiemDucDuyQuan,
author = {Kiem, Hoang and Anh-Duc, Duong and Dinh-Duy Le and Hai-Quan, Vu},
booktitle = {Vietnam Education Publishing House},
title = {{Fundamental of Computer Graphics}},
year = {2011}
}

@book{Galbraith,
author = {Galbraith, Steven},
booktitle = {Cambridge University Press},
title = {{Mathematics of Public Key Cryptography}},
year = {2018}
}

@book{ThucVanPhong,
author = {Dinh-Thuc, Nguyen and Hai-Van, Dang and Phong, Le},
booktitle = {Science and Technics Publishing House},
title = {{Applied statistics in computer science}},
year = {2010}
}

@book{ThuDuc,
author = {Dan-Thu, Tran and Anh-Duc, Duong},
booktitle = {VNUHCM-PUBLISHING HOUSE},
title = {{Graph Theory}},
year = {2010}
}

@book{Nielsen2010,
author = {Nielsen, Michael and Chuang, Isaac},
booktitle = {Cambridge},
file = {:D$\backslash$:/References/Thesis/Thesis/Textbook/Crypto/Niesel{\_}Chuang{\_}Quantum{\_}computing.pdf:pdf},
title = {{Quantum Computation and Quantum Information}},
year = {2010}
}


@article{Dwork1998,
author = {Dwork, Cynthia},
file = {:D$\backslash$:/References/Thesis/Thesis/Textbook/dwork-lattice-lectures.pdf:pdf},
title = {{Lattices and Their Application to Cryptography}},
year = {1998}
}

@book{Goldreich2001,
author = {Goldreich, Oded},
file = {:D$\backslash$:/References/Thesis/Thesis/Textbook/Foundation{\_}of{\_}Crypto.pdf:pdf},
isbn = {0-521-79172-3},
title = {{Foundation of Cryptography, Volume I: Basic Techniques}},
year = {2001}
}

@book{Golub1989,
author = {Golub, Gene and {Van Loan}, Charles},
booktitle = {Analytical Letters},
doi = {10.1080/00032718908051195},
file = {:D$\backslash$:/References/Thesis/Thesis/Textbook/Golub G.H., Van Loan C.F.- Matrix Computations.pdf:pdf},
issn = {1532236X},
keywords = {Hydrogen chloride,Mercury displacement,Piezoelectric crystal,Sulfur dioxide},
number = {1},
pages = {213--224},
title = {{Matrix computation}},
volume = {22},
year = {1989}
}

@book{Cohen,
abstract = {Predicting the binding mode of flexible polypeptides to proteins is an important task that falls outside the domain of applicability of most small molecule and protein−protein docking tools. Here, we test the small molecule flexible ligand docking program Glide on a set of 19 non-$\alpha$-helical peptides and systematically improve pose prediction accuracy by enhancing Glide sampling for flexible polypeptides. In addition, scoring of the poses was improved by post-processing with physics-based implicit solvent MM- GBSA calculations. Using the best RMSD among the top 10 scoring poses as a metric, the success rate (RMSD ≤ 2.0 {\AA} for the interface backbone atoms) increased from 21{\%} with default Glide SP settings to 58{\%} with the enhanced peptide sampling and scoring protocol in the case of redocking to the native protein structure. This approaches the accuracy of the recently developed Rosetta FlexPepDock method (63{\%} success for these 19 peptides) while being over 100 times faster. Cross-docking was performed for a subset of cases where an unbound receptor structure was available, and in that case, 40{\%} of peptides were docked successfully. We analyze the results and find that the optimized polypeptide protocol is most accurate for extended peptides of limited size and number of formal charges, defining a domain of applicability for this approach.},
author = {Cremona, J. E. and Cohen, Henri},
booktitle = {The Mathematical Gazette},
doi = {10.2307/3618596},
file = {:D$\backslash$:/References/Thesis/Thesis/Textbook/Henri{\_}Cohen{\_}A{\_}course{\_}in{\_}computational{\_}algebraic.pdf:pdf},
isbn = {3540556400},
issn = {00255572},
number = {482},
pages = {221},
title = {{A Course in Computational Algebraic Number Theory}},
volume = {78},
year = {2007}
}


@book{Papadimitriou1995,
author = {Papadimitriou, Christos},
booktitle = {Journal of Complexity},
doi = {10.1006/jcom.1995.1011},
file = {:D$\backslash$:/References/Thesis/Thesis/Textbook/Computational{\_}Complexi.pdf:pdf},
isbn = {0201530821},
issn = {10902708},
number = {2},
title = {{Computational complexity}},
volume = {11},
year = {1995}
}

@book{MicciancioGoldwasser,
author = {Goldwasser, Shafi and Micciancio, Daniele},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Cryptograp, Micciancio - Unknown - Complex Ity of Lattice Problem S.pdf:pdf},
isbn = {9781461352938},
title = {{Complexity of Lattice Problems: A Cryptographic Perspective}}
}

@article{Shoup2002,
author = {Shoup, Victor},
file = {:D$\backslash$:/References/Thesis/Thesis/LectureNote/Shoup/shoup.pdf:pdf},
title = {{A Primer on Algebra and Number Theory for Computer Scientists}},
year = {2002}
}

@book{Shoup2015,
  author    = {Victor Shoup},
  title     = {A computational introduction to number theory and algebra},
  publisher = {Cambridge University Press},
  year      = {2006},
  isbn      = {978-0-521-85154-1},
  timestamp = {Thu, 24 Mar 2011 18:59:40 +0100},
  biburl    = {https://dblp.org/rec/bib/books/daglib/0018101},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@article{Barak2018,
abstract = {If you can just get your mind together Then come on across to me We'll hold hands, and then we'll watch the sunrise From the bottom of the sea Jimmy Hendrix, Are You Experienced?},
author = {Barak, Boaz},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Barak - 2018 - An Intensive Introduction to Cryptography.pdf:pdf},
isbn = {0387950346},
title = {{An Intensive Introduction to Cryptography}},
year = {2018}
}



%%Endtextbook


%%PhDthesis
@phdthesis{VialPrado,
author = {{Vial Prado}, Francisco},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Vial Prado - Unknown - Contributions to design and analysis of Fully Homomorphic Encryption schemes.pdf:pdf},
title = {{Contributions to design and analysis of Fully Homomorphic Encryption schemes}},
url = {https://tel.archives-ouvertes.fr/tel-01827246}
}


@phdthesis{Lyubashevsky2008,
author = {Lyubashevsky, Vadim},
file = {:D$\backslash$:/References/Thesis/Thesis/PreviousThesis/Lattice-based/Lattice{\_}Vadim.pdf:pdf},
title = {{Towards practical lattice-based cryptography}},
year = {2008}
}

@phdthesis{Morais2006,
author = {Morais, Eduardo and Dahab, Ricardo},
doi = {10.1007/11818175_8},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Morais, Dahab - 2006 - Lattice-Based Cryptography.pdf:pdf;:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Morais, Dahab - 2006 - Lattice-Based Cryptography(2).pdf:pdf},
pages = {131--141},
title = {{Lattice-Based Cryptography}},
url = {https://iacr.org/archive/crypto2006/41170129/41170129.pdf},
volume = {4117},
year = {2006}
}

@phdthesis{Langlois2014,
author = {Langlois, A},
file = {:D$\backslash$:/References/Thesis/Thesis/PreviousThesis/Lattice-based/Key{\_}Lattice-Langlois{\_}Adeline{\_}These{\_}2014.pdf:pdf},
title = {{Lattice-Based Cryptographie: Security Foundations and Constructions}},
url = {https://hal.archives-ouvertes.fr/tel-01092130/},
year = {2014}
}

@phdthesis{Micciancio1998,
author = {Micciancio, Daniele},
file = {:D$\backslash$:/References/Thesis/Thesis/PreviousThesis/Lattice-based/Lattice{\_}SVP.pdf:pdf},
title = {{On the Hardness of the Shortest Vector Problem}},
year = {1998}
}




@phdthesis{Goluch,
author = {Goluch, Sigrun},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Unknown - Unknown - The development of homomorphic cryptography.pdf:pdf},
title = {{The development of homomorphic cryptography}},
url = {http://dmg.tuwien.ac.at/drmota/DA{\_}Sigrun Goluch{\_}FINAL.pdf}
}


@phdthesis{Gentry2009d,
author = {Gentry, Craig},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Gentry - 2009 - A FULLY HOMOMORPHIC ENCRYPTION SCHEME A DISSERTATION SUBMITTED TO THE DEPARTMENT OF COMPUTER SCIENCE AND THE COMMITTEE O.pdf:pdf},
title = {{A FULLY HOMOMORPHIC ENCRYPTION SCHEME}},
url = {https://crypto.stanford.edu/craig/craig-thesis.pdf},
year = {2009}
}

@phdthesis{Khoa2013,
author = {Khoa Nguyen},
file = {:C$\backslash$:/Users/HP EliteBook/Dropbox/Thesis/PhD/Khoa-PhDthesis.pdf:pdf},
title = {{ZERO-KNOWLEDGE PROOF SYSTEMS FOR LATTICE-BASED CRYPTOGRAPHY}},
year = {2013}
}

@phdthesis{Nguyen2007,
author = {Phong Nguyen},
file = {:C$\backslash$:/Users/HP EliteBook/Dropbox/Thesis/PhD/HDR{\_}Phong{\_}Nguyen.pdf:pdf},
title = {{Theorie et Pratique de la Cryptanalyse ` a Clef Publique}},
year = {2007}
}
@phdthesis{Ferreiraa,
author = {Ferreira, Michel and Hoeteck, Abdalla and Ferreira, M and Michel, Abdalla and Paillier, M and Cryptoexperts, Pascal},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Ferreira et al. - Unknown - Fully Homomorphic Encryption for Machine Learning.pdf:pdf},
title = {{Fully Homomorphic Encryption for Machine Learning}},
url = {https://www.di.ens.fr/{~}minelli/docs/phd-thesis.pdf}
}
@phdthesis{Lepoint,
author = {Lepoint, Tancr{\`{e}}de},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Lepoint - Unknown - Design and Implementation of Lattice-Based Cryptography.pdf:pdf},
title = {{Design and Implementation of Lattice-Based Cryptography}},
url = {https://tel.archives-ouvertes.fr/tel-01069864}
}
@phdthesis{Dalibard2011,
author = {Dalibard, Valentin},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Unknown - 2011 - Implementing Homomorphic Encryption.pdf:pdf},
title = {{Implementing Homomorphic Encryption}},
url = {https://www.cl.cam.ac.uk/{~}ms705/projects/dissertations/2011-vd241-ihe.pdf},
year = {2011}
}
@phdthesis{Katzenbeisser,
author = {Katzenbeisser, Stefan and Armknecht, Frederik},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Katzenbeisser, Armknecht - Unknown - Securely Outsourcing Computations using Homomorphic Encryption.pdf:pdf},
title = {{Securely Outsourcing Computations using Homomorphic Encryption}},
url = {https://core.ac.uk/download/pdf/11681524.pdf}
}
@phdthesis{Weir,
author = {Weir, Brandon},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Weir - Unknown - Homomorphic Encryption.pdf:pdf},
title = {{Homomorphic Encryption}},
url = {https://uwspace.uwaterloo.ca/bitstream/handle/10012/7264/Weir{\_}Brandon.pdf;sequence=1}
}
@phdthesis{Widegren,
author = {Widegren, Emelie},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Widegren - Unknown - Fully Homomorphic Encryption A Case Study.pdf:pdf},
title = {{Fully Homomorphic Encryption: A Case Study}},
url = {http://publications.lib.chalmers.se/records/fulltext/256108/256108.pdf}
}
@phdthesis{Ferreira,
author = {Ferreira, Michel},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Ferreira et al. - Unknown - Fully Homomorphic Encryption for Machine Learning.pdf:pdf},
title = {{Fully Homomorphic Encryption for Machine Learning}},
url = {https://www.di.ens.fr/{~}minelli/docs/phd-thesis.pdf}
}
@phdthesis{Zhang2014,
author = {Zhang, Zhenfei},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Zhang - 2014 - Revisiting Fully Homomorphic Encryption Schemes and Their Cryptographic Primitives.pdf:pdf},
title = {{Revisiting Fully Homomorphic Encryption Schemes and Their Cryptographic Primitives}},
url = {https://www.uow.edu.au/{~}thomaspl/pdf/Zhang14.pdf},
year = {2014}
}
@phdthesis{Meaux,
author = {M{\'{e}}aux, Pierrick},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/M{\'{e}}aux - Unknown - Hybrid fully homomorphic framework.pdf:pdf},
title = {{Hybrid fully homomorphic framework}},
url = {https://hal.archives-ouvertes.fr/tel-01665358v2}
}
%%endphdThesis

%%Survey
@article{Acar2018,
abstract = {Legacy encryption systems depend on sharing a key (public or private) among the peers involved in exchanging an encrypted message. However, this approach poses privacy concerns. Especially with popular cloud services, the control over the privacy of the sensitive data is lost. Even when the keys are not shared, the encrypted material is shared with a third party that does not necessarily need to access the content. Moreover, untrusted servers, providers, and cloud operators can keep identifying elements of users long after users end the relationship with the services. Indeed, Homomorphic Encryption (HE), a special kind of encryption scheme, can address these concerns as it allows any third party to operate on the encrypted data without decrypting it in advance. Although this extremely useful feature of the HE scheme has been known for over 30 years, the first plausible and achievable Fully Homomorphic Encryption (FHE) scheme, which allows any computable function to perform on the encrypted data, was introduced by Craig Gentry in 2009. Even though this was a major achievement, different implementations so far demonstrated that FHE still needs to be improved significantly to be practical on every platform. First, we present the basics of HE and the details of the well-known Partially Homomorphic Encryption (PHE) and Somewhat Homomorphic Encryption (SWHE), which are important pillars of achieving FHE. Then, the main FHE families, which have become the base for the other follow-up FHE schemes are presented. Furthermore, the implementations and recent improvements in Gentry-type FHE schemes are also surveyed. Finally, further research directions are discussed. This survey is intended to give a clear knowledge and foundation to researchers and practitioners interested in knowing, applying, as well as extending the state of the art HE, PHE, SWHE, and FHE systems.},
archivePrefix = {arXiv},
arxivId = {arXiv:1704.03578v1},
author = {Acar, Abbas and Aksu, Hidayet and Uluagac, A. Selcuk and Conti, Mauro},
doi = {10.1145/3214303},
eprint = {arXiv:1704.03578v1},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Survey/A{\_}Survey{\_}on{\_}Homomorphic{\_}Encryption{\_}Schemes{\_}Theory{\_}.pdf:pdf},
issn = {03600300},
journal = {ACM Computing Surveys},
number = {4},
pages = {1--35},
title = {{A Survey on Homomorphic Encryption Schemes}},
volume = {51},
year = {2018}
}


@article{Naehrig2011,
abstract = {The prospect of outsourcing an increasing amount of data storage and management to cloud services raises many new privacy concerns for individuals and businesses alike. The privacy concerns can be satisfactorily addressed if users encrypt the data they send to the cloud. If the encryption scheme is homomorphic, the cloud can still perform meaningful computations on the data, even though it is encrypted. In fact, we now know a number of constructions of fully homomorphic encryption schemes that allow arbitrary computation on encrypted data. In the last two years, solutions for fully homomorphic encryption have been proposed and improved upon, but it is hard to ignore the elephant in the room, namely efficiency - can homomorphic encryption ever be efficient enough to be practical? Certainly, it seems that all known fully homomorphic encryption schemes have a long way to go before they can be used in practice. Given this state of affairs, our contribution is two-fold. First, we exhibit a number of real-world applications, in the medical, financial, and the advertising domains, which require only that the encryption scheme is "somewhat" ho-momorphic. Somewhat homomorphic encryption schemes, which support a limited number of homomorphic operations, can be much faster, and more compact than fully homomor-phic encryption schemes. Secondly, we show a proof-of-concept implementation of the recent somewhat homomorphic encryption scheme of Brakerski and Vaikuntanathan, whose security relies on the "ring learning with errors" (Ring LWE) problem. The system is very efficient, and has reasonably short ciphertexts. Our unoptimized implementation in magma enjoys comparable efficiency to even optimized pairing-based schemes with the same level of security and homomorphic capacity. We also show a number of application-specific optimizations to the encryption scheme, most notably the ability to convert between different message encodings in a ciphertext. {\textcopyright} 2011 ACM.},
author = {Naehrig, Michael and Lauter, Kristin and Vaikuntanathan, Vinod},
doi = {10.1145/2046660.2046682},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Survey/Can{\_}Homomorphic{\_}Encryption{\_}be{\_}Practical.pdf:pdf},
number = {October},
pages = {113},
title = {{Can homomorphic encryption be practical?}},
year = {2011}
}



%%EndSurvey

%%SIS-Paper
@article{MR04,
abstract = {We show that solving modular linear equation on the average is at least as hard as approximating several lattice problems in the worst case within a factor almost linear in the rank of the lattice. The lattice problems we consider are the shortest vector problem, the shortest independent vectors problem and the covering radius problem. The approximation factor we obtain is O(n) for all three problems. This greatly improves on all previous work on the subject starting from Ajtai's seminal paper (STOC, 1996), up to the strongest previously known results by Micciancio (STOC, 2002). Our results also bring us closer to the limit where the problems are no longer known to be in NP {\&}cap; coNP. Our main tools are Gaussian measures on lattices and the high dimensional Fourier transform. We start by defining a new lattice parameter which determines the amount of Gaussian noise that one has to add to a lattice in order to get close to a uniform distribution, in addition to yielding quantitatively much stronger results, the use of this parameter allows us to simplify many of the complications in previous work. Our technical contributions are two-fold. First, we show tight connections between this new parameter and existing lattice parameters. One such important connection is between this parameter and the length of the shortest set of linearly independent vectors. Second, we prove that the distribution that one obtains after adding Gaussian noise to the lattice has the following interesting property: the distribution of the noise vector when conditioning on the final value behaves in many respects like the original Gaussian noise vector. In particular, its moments remain essentially unchanged.},
author = {Micciancio, Daniele and Regev, Oded},
doi = {10.1137/s0097539705447360},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Lattice-based/SIS/MR04.pdf:pdf},
issn = {0097-5397},
journal = {SIAM Journal on Computing},
number = {1},
pages = {267--302},
title = {{Worst‐Case to Average‐Case Reductions Based on Gaussian Measures}},
volume = {37},
year = {2007}
}

@article{MP2012,
abstract = {We give new methods for generating and using ” strong trapdoors” in cryptographic lattices, which are simultaneously simple, efficient, easy to implement (even in parallel), and asymptotically optimal with very small hidden constants. Our methods involve a new kind of trapdoor, and include specialized algorithms for inverting LWE, randomly sampling SIS preimages, and securely delegating trapdoors. These tasks were previously the main bottleneck for a wide range of cryptographic schemes, and our techniques substantially improve upon the prior ones, both in terms of practical performance and quality of the produced outputs. Moreover, the simple structure of the new trapdoor and associated algorithms can be exposed in applications, leading to further simplifications and efficiency improvements. We exemplify the applicability of our methods with new digital signature schemes and CCA-secure encryption schemes, which have better efficiency and security than the previously known lattice-based constructions.},
author = {Micciancio, Daniele and Peikert, Chris},
doi = {10.1007/978-3-642-29011-4_41},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Lattice-based/SIS/MP13.pdf:pdf},
isbn = {9783642290107},
issn = {03029743},
journal = {Lecture Notes in Computer Science (including subseries Lecture Notes in Artificial Intelligence and Lecture Notes in Bioinformatics)},
pages = {700--718},
title = {{Trapdoors for lattices: Simpler, tighter, faster, smaller}},
volume = {7237 LNCS},
year = {2012}
}


@article{GPV2008,
  author    = {Craig Gentry and
               Chris Peikert and
               Vinod Vaikuntanathan},
  title     = {Trapdoors for Hard Lattices and New Cryptographic Constructions},
  journal   = {Electronic Colloquium on Computational Complexity {(ECCC)}},
  volume    = {14},
  number    = {133},
  year      = {2007},
  url       = {http://eccc.hpi-web.de/eccc-reports/2007/TR07-133/index.html},
  timestamp = {Tue, 14 Aug 2018 17:08:04 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/eccc/GentryPV07},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}
%%EndSIS-Paper


%KeyPaper

@inproceedings{BGN05,
  author    = {Dan Boneh and
               Eu{-}Jin Goh and
               Kobbi Nissim},
  title     = {Evaluating 2-DNF Formulas on Ciphertexts},
  booktitle = {Theory of Cryptography, Second Theory of Cryptography Conference,
               {TCC} 2005, Cambridge, MA, USA, February 10-12, 2005, Proceedings},
  pages     = {325--341},
  year      = {2005},
  crossref  = {DBLP:conf/tcc/2005},
  url       = {https://doi.org/10.1007/978-3-540-30576-7\_18},
  doi       = {10.1007/978-3-540-30576-7\_18},
  timestamp = {Sun, 02 Jun 2019 21:21:22 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/tcc/BonehGN05},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{GGH1997,
abstract = {We present a new proposal for a trapdoor one-way function, from which we derive public-key encryption and digital signatures. The security of the new construction is based on the conjectured computational difficulty of lattice-reduction problems, providing a possible alternative to existing public-key encryption algorithms and digital signatures such as RSA and DSS.},
author = {Goldreich, Oded and Goldwasser, Shafi and Halevi, Shai},
doi = {10.1007/BFb0052231},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Lattice-based/1997-lncs-ggh.pdf:pdf},
isbn = {3540633847},
issn = {16113349},
journal = {Lecture Notes in Computer Science (including subseries Lecture Notes in Artificial Intelligence and Lecture Notes in Bioinformatics)},
keywords = {Lattice reduction problems,Public-Key cryptosystems},
pages = {112--131},
title = {{Public-key cryptosystems from lattice reduction problems}},
volume = {1294},
year = {1997}
}



@techreport{Oded,
abstract = {(a) },
author = {Oded, Regev},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Unknown - Unknown - 0, 0) (1, 0) (0, 1(2).pdf:pdf},
title = {{Lecture notes: Lattice in Computer Science}},
url = {https://cims.nyu.edu/{~}regev/teaching/lattices{\_}fall{\_}2004/ln/introduction.pdf}
}

@article{Elgamal1985,
author = {Elgamal, T.},
doi = {10.1109/TIT.1985.1057074},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Lattice-based/ElGammal.pdf:pdf},
issn = {0018-9448},
journal = {IEEE Transactions on Information Theory},
number = {4},
pages = {469--472},
title = {{A public key cryptosystem and a signature scheme based on discrete logarithms}},
url = {http://ieeexplore.ieee.org/document/1057074/},
volume = {31},
year = {1985}
}
@article{Rivest1977,
  author    = {Ronald L. Rivest and
               Adi Shamir and
               Leonard M. Adleman},
  title     = {A Method for Obtaining Digital Signatures and Public-Key Cryptosystems},
  journal   = {Commun. {ACM}},
  volume    = {21},
  number    = {2},
  pages     = {120--126},
  year      = {1978},
  url       = {http://doi.acm.org/10.1145/359340.359342},
  doi       = {10.1145/359340.359342},
  timestamp = {Wed, 14 Nov 2018 10:22:34 +0100},
  biburl    = {https://dblp.org/rec/bib/journals/cacm/RivestSA78},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{Shor,
  author    = {Peter W. Shor},
  title     = {Polynomial-Time Algorithms for Prime Factorization and Discrete Logarithms
               on a Quantum Computer},
  journal   = {{SIAM} J. Comput.},
  volume    = {26},
  number    = {5},
  pages     = {1484--1509},
  year      = {1997},
  url       = {https://doi.org/10.1137/S0097539795293172},
  doi       = {10.1137/S0097539795293172},
  timestamp = {Wed, 14 Nov 2018 10:45:08 +0100},
  biburl    = {https://dblp.org/rec/bib/journals/siamcomp/Shor97},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{M.Ajtai1996,
author = {M.Ajtai},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Lattice-based/TR96-007.pdf:pdf},
journal = {Computational Complexity},
title = {{Generating Hard Instances of Lattice Problems}},
year = {1996}
}

@article{LPR10,
author = {Luybashevsky, Peikert, Regev},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Lattice-based/TR96-007.pdf:pdf},
journal = {Advances in Cryptology – EUROCRYPT 2010},
title = {{On Ideal Lattices and Learning with Errors over Rings}},
year = {2010}
}

@ARTICLE{Lenstra1982,
    author = {A. K. Lenstra and H. W. Lenstra and L. Lovasz},
    title = {Factoring polynomials with rational coefficients},
    journal = {MATH. ANN},
    year = {1982},
    volume = {261},
    pages = {515--534}
}

@inproceedings{DBLP:conf/stoc/Regev05,
  author    = {Oded Regev},
  title     = {On lattices, learning with errors, random linear codes, and cryptography},
  booktitle = {Proceedings of the 37th Annual {ACM} Symposium on Theory of Computing,
               Baltimore, MD, USA, May 22-24, 2005},
  pages     = {84--93},
  year      = {2005},
  crossref  = {DBLP:conf/stoc/2005},
  url       = {https://doi.org/10.1145/1060590.1060603},
  doi       = {10.1145/1060590.1060603},
  timestamp = {Wed, 14 Nov 2018 10:51:37 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/stoc/Regev05},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{Rivest1978,
  added-at = {2011-02-14T16:52:54.000+0100},
  author = {Rivest, R L and Adleman, L and Dertouzos, M L},
  biburl = {https://www.bibsonomy.org/bibtex/2df214f59ac3cc15fbfaf6d0606eb340c/fohv},
  date-modified = {2006-08-22 11:34:23 +0200},
  interhash = {c880dde05ce4210752a154a7c0b6fd31},
  intrahash = {df214f59ac3cc15fbfaf6d0606eb340c},
  journal = {Foundations of Secure Computation, Academia Press},
  keywords = {imported},
  pages = {169-179},
  timestamp = {2011-02-14T16:53:02.000+0100},
  title = {On Data Banks and Privacy Homomorphisms},
  year = 1978
}


@article{Paillier1999,
author = {Paillier, Pascal},
doi = {10.1007/3-540-48910-X},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/PreFHE/Paillier.pdf:pdf},
isbn = {978-3-540-65889-4},
pages = {223--238},
title = {{Advances in Cryptology — EUROCRYPT '99}},
url = {http://link.springer.com/10.1007/3-540-48910-X},
volume = {1592},
year = {1999}
}

@article{Fan,
  author    = {Junfeng Fan and
               Frederik Vercauteren},
  title     = {Somewhat Practical Fully Homomorphic Encryption},
  journal   = {{IACR} Cryptology ePrint Archive},
  volume    = {2012},
  pages     = {144},
  year      = {2012},
  url       = {http://eprint.iacr.org/2012/144},
  timestamp = {Tue, 14 Aug 2018 17:08:21 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/iacr/FanV12},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{Vaikuntanathan,
  author    = {Vinod Vaikuntanathan},
  title     = {Computing Blindfolded: New Developments in Fully Homomorphic Encryption},
  booktitle = {{IEEE} 52nd Annual Symposium on Foundations of Computer Science, {FOCS}
               2011, Palm Springs, CA, USA, October 22-25, 2011},
  pages     = {5--16},
  year      = {2011},
  crossref  = {DBLP:conf/focs/2011},
  url       = {https://doi.org/10.1109/FOCS.2011.98},
  doi       = {10.1109/FOCS.2011.98},
  timestamp = {Fri, 19 May 2017 01:25:59 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/focs/Vaikuntanathan11},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@techreport{Brakerskid,
abstract = {We present a radically new approach to fully homomorphic encryption (FHE) that dramatically improves performance and bases security on weaker assumptions. A central conceptual contribution in our work is a new way of constructing leveled fully homomorphic encryption schemes (capable of evaluating arbitrary polynomial-size circuits), without Gentry's bootstrapping procedure. Specifically, we offer a choice of FHE schemes based on the learning with error (LWE) or ring-LWE (RLWE) problems that have 2 $\lambda$ security against known attacks. For RLWE, we have: • A leveled FHE scheme that can evaluate L-level arithmetic circuits with˜Owith˜ with˜O($\lambda$ {\textperiodcentered} L 3) per-gate computation -i.e., computation quasi-linear in the security parameter. Security is based on RLWE for an approximation factor exponential in L. This construction does not use the bootstrapping procedure. • A leveled FHE scheme that uses bootstrapping as an optimization, where the per-gate computation (which includes the bootstrapping procedure) is˜Ois˜ is˜O($\lambda$ 2), independent of L. Security is based on the hardness of RLWE for quasi-polynomial factors (as opposed to the sub-exponential factors needed in previous schemes). We obtain similar results for LWE, but with worse performance. We introduce a number of further optimizations to our schemes. As an example, for circuits of large width-e.g., where a constant fraction of levels have width at least $\lambda$-we can reduce the per-gate computation of the bootstrapped version t{\~{o}}t{\~{o}} O($\lambda$), independent of L, by batching the bootstrapping operation. Previous FHE schemes all required˜Ω required˜ required˜Ω($\lambda$ 3.5) computation per gate. At the core of our construction is a much more effective approach for managing the noise level of lattice-based ciphertexts as homomorphic operations are performed, using some new techniques recently introduced by Brakerski and Vaikuntanathan (FOCS 2011).},
author = {Brakerski, Zvika and Gentry, Craig and Vaikuntanathan, Vinod},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Brakerski, Gentry, Vaikuntanathan - Unknown - Fully Homomorphic Encryption without Bootstrapping.pdf:pdf},
title = {{Fully Homomorphic Encryption without Bootstrapping}},
url = {https://eprint.iacr.org/2011/277.pdf}
}

@techreport{Brakerskie,
abstract = {We present a fully homomorphic encryption scheme that is based solely on the (standard) learning with errors (LWE) assumption. Applying known results on LWE, the security of our scheme is based on the worst-case hardness of "short vector problems" on arbitrary lattices. Our construction improves on previous works in two aspects: 1. We show that "somewhat homomorphic" encryption can be based on LWE, using a new re-linearization technique. In contrast, all previous schemes relied on complexity assumptions related to ideals in various rings. 2. We deviate from the "squashing paradigm" used in all previous works. We introduce a new dimension-modulus reduction technique, which shortens the ciphertexts and reduces the decryption complexity of our scheme, without introducing additional assumptions. Our scheme has very short ciphertexts and we therefore use it to construct an asymptotically efficient LWE-based single-server private information retrieval (PIR) protocol. The communication complexity of our protocol (in the public-key model) is k {\textperiodcentered} polylog(k) + log |DB| bits per single-bit query (here, k is a security parameter).},
author = {Brakerski, Zvika and Vaikuntanathan, Vinod},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Brakerski, Vaikuntanathan - Unknown - Efficient Fully Homomorphic Encryption from (Standard) LWE.pdf:pdf},
title = {{Efficient Fully Homomorphic Encryption from (Standard) LWE}},
url = {https://eprint.iacr.org/2011/344.pdf}
}

@inproceedings{Van2010,
  author    = {Marten van Dijk and
               Craig Gentry and
               Shai Halevi and
               Vinod Vaikuntanathan},
  title     = {Fully Homomorphic Encryption over the Integers},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2010, 29th Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Monaco / French Riviera, May 30 - June 3, 2010. Proceedings},
  pages     = {24--43},
  year      = {2010},
  crossref  = {DBLP:conf/eurocrypt/2010},
  url       = {https://doi.org/10.1007/978-3-642-13190-5\_2},
  doi       = {10.1007/978-3-642-13190-5\_2},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/DijkGHV10},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@inproceedings{CMNT11,
  author    = {Jean{-}S{\'{e}}bastien Coron and
               Avradip Mandal and
               David Naccache and
               Mehdi Tibouchi},
  title     = {Fully Homomorphic Encryption over the Integers with Shorter Public
               Keys},
  booktitle = {Advances in Cryptology - {CRYPTO} 2011 - 31st Annual Cryptology Conference,
               Santa Barbara, CA, USA, August 14-18, 2011. Proceedings},
  pages     = {487--504},
  year      = {2011},
  crossref  = {DBLP:conf/crypto/2011},
  url       = {https://doi.org/10.1007/978-3-642-22792-9\_28},
  doi       = {10.1007/978-3-642-22792-9\_28},
  timestamp = {Tue, 14 May 2019 10:00:48 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/crypto/CoronMNT11},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{NK2015,
  author    = {Koji Nuida and
               Kaoru Kurosawa},
  title     = {(Batch) Fully Homomorphic Encryption over Integers for Non-Binary
               Message Spaces},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2015 - 34th Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Sofia, Bulgaria, April 26-30, 2015, Proceedings, Part {I}},
  pages     = {537--555},
  year      = {2015},
  crossref  = {DBLP:conf/eurocrypt/2015-1},
  url       = {https://doi.org/10.1007/978-3-662-46800-5\_21},
  doi       = {10.1007/978-3-662-46800-5\_21},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/NuidaK15},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{CLT14,
  author    = {Jean{-}S{\'{e}}bastien Coron and
               Tancr{\`{e}}de Lepoint and
               Mehdi Tibouchi},
  title     = {Batch Fully Homomorphic Encryption over the Integers},
  journal   = {{IACR} Cryptology ePrint Archive},
  volume    = {2013},
  pages     = {36},
  year      = {2013},
  url       = {http://eprint.iacr.org/2013/036},
  timestamp = {Tue, 14 Aug 2018 17:08:16 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/iacr/CoronLT13},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%%GSW13%%

%%GenI%

@inproceedings{Gentry09c,
  author    = {Craig Gentry},
  title     = {Fully homomorphic encryption using ideal lattices},
  booktitle = {Proceedings of the 41st Annual {ACM} Symposium on Theory of Computing,
               {STOC} 2009, Bethesda, MD, USA, May 31 - June 2, 2009},
  pages     = {169--178},
  year      = {2009},
  crossref  = {DBLP:conf/stoc/2009},
  url       = {https://doi.org/10.1145/1536414.1536440},
  doi       = {10.1145/1536414.1536440},
  timestamp = {Mon, 26 Nov 2018 15:05:57 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/stoc/Gentry09},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@inproceedings{GHS11,
  author    = {Craig Gentry and
               Shai Halevi},
  title     = {Implementing Gentry's Fully-Homomorphic Encryption Scheme},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2011 - 30th Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Tallinn, Estonia, May 15-19, 2011. Proceedings},
  pages     = {129--148},
  year      = {2011},
  crossref  = {DBLP:conf/eurocrypt/2011},
  url       = {https://doi.org/10.1007/978-3-642-20465-4\_9},
  doi       = {10.1007/978-3-642-20465-4\_9},
  timestamp = {Tue, 14 May 2019 10:00:54 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/GentryH11},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{SV11,
  author    = {Nigel P. Smart and
               Frederik Vercauteren},
  title     = {Fully Homomorphic Encryption with Relatively Small Key and Ciphertext
               Sizes},
  booktitle = {Public Key Cryptography - {PKC} 2010, 13th International Conference
               on Practice and Theory in Public Key Cryptography, Paris, France,
               May 26-28, 2010. Proceedings},
  pages     = {420--443},
  year      = {2010},
  crossref  = {DBLP:conf/pkc/2010},
  url       = {https://doi.org/10.1007/978-3-642-13013-7\_25},
  doi       = {10.1007/978-3-642-13013-7\_25},
  timestamp = {Tue, 14 May 2019 10:00:54 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/pkc/SmartV10},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{CNT12,
  author    = {Jean{-}S{\'{e}}bastien Coron and
               David Naccache and
               Mehdi Tibouchi},
  title     = {Public Key Compression and Modulus Switching for Fully Homomorphic
               Encryption over the Integers},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2012 - 31st Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Cambridge, UK, April 15-19, 2012. Proceedings},
  pages     = {446--464},
  year      = {2012},
  crossref  = {DBLP:conf/eurocrypt/2012},
  url       = {https://doi.org/10.1007/978-3-642-29011-4\_27},
  doi       = {10.1007/978-3-642-29011-4\_27},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/CoronNT12},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@InProceedings{CANS:Gentry09,
  author =       "Craig Gentry",
  title =        "Computing on Encrypted Data (Invited Talk)",
  pages =        "477",
  editor =       cans09ed,
  booktitle =    cans09name,
  volume =       cans09vol,
  address =      cans09addr,
  month =        cans09month,
  publisher =    canspub,
  series =       mylncs,
  year =         2009,
}


%%EndGenI%


%%GenII%
@article{FV12,
  author    = {Junfeng Fan and
               Frederik Vercauteren},
  title     = {Somewhat Practical Fully Homomorphic Encryption},
  journal   = {{IACR} Cryptology ePrint Archive},
  volume    = {2012},
  pages     = {144},
  year      = {2012},
  url       = {http://eprint.iacr.org/2012/144},
  timestamp = {Tue, 14 Aug 2018 17:08:21 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/iacr/FanV12},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@inproceedings{BV11,
  author    = {Zvika Brakerski and
               Vinod Vaikuntanathan},
  title     = {Efficient Fully Homomorphic Encryption from (Standard) {LWE}},
  booktitle = {{IEEE} 52nd Annual Symposium on Foundations of Computer Science, {FOCS}
               2011, Palm Springs, CA, USA, October 22-25, 2011},
  pages     = {97--106},
  year      = {2011},
  crossref  = {DBLP:conf/focs/2011},
  url       = {https://doi.org/10.1109/FOCS.2011.12},
  doi       = {10.1109/FOCS.2011.12},
  timestamp = {Fri, 19 May 2017 01:25:58 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/focs/BrakerskiV11},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{GHS12,
  author    = {Craig Gentry and
               Shai Halevi and
               Nigel P. Smart},
  title     = {Fully Homomorphic Encryption with Polylog Overhead},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2012 - 31st Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Cambridge, UK, April 15-19, 2012. Proceedings},
  pages     = {465--482},
  year      = {2012},
  crossref  = {DBLP:conf/eurocrypt/2012},
  url       = {https://doi.org/10.1007/978-3-642-29011-4\_28},
  doi       = {10.1007/978-3-642-29011-4\_28},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/GentryHS12},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{BGV11,
  author    = {Zvika Brakerski and
               Craig Gentry and
               Vinod Vaikuntanathan},
  title     = {Fully Homomorphic Encryption without Bootstrapping},
  journal   = {Electronic Colloquium on Computational Complexity {(ECCC)}},
  volume    = {18},
  pages     = {111},
  year      = {2011},
  url       = {http://eccc.hpi-web.de/report/2011/111},
  timestamp = {Tue, 14 Aug 2018 17:08:04 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/eccc/BrakerskiGV11},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@techreport{Gen15,
abstract = {We describe a working implementation of leveled homomorphic encryption (with or without boot-strapping) that can evaluate the AES-128 circuit. This implementation is built on top of the HElib library, whose design was inspired by an early version of this work. Our main implementation (without boot-strapping) takes about 4 minutes and 3GB of RAM, running on a small laptop, to evaluate an entire AES-128 encryption operation. Using SIMD techniques, we can process upto 120 blocks in each such evaluation, yielding an amortized rate of just over 2 seconds per block. For cases where further processing is needed after the AES computation, we describe a different setting that uses bootstrapping. We describe an implementation that lets us process 180 blocks in just over 18 minutes using 3.7GB of RAM on the same laptop, yielding amortized 6 seconds/block. We note that somewhat better amortized per-block cost can be obtained using "byte-slicing" (and maybe also "bit-slicing") implementations, at the cost of significantly slower wall-clock time for a single evaluation. In this article we describe many of the optimizations that went into this implementation. These include both AES-specific optimizations, as well as several "generic" tools for FHE evaluation (which are incorporated in the HElib library). The generic tools include (among others) a different variant of the Brakerski-Vaikuntanathan key-switching technique that does not require reducing the norm of the ciphertext vector, and a method of implementing the Brakerski-Gentry-Vaikuntanathan modulus-switching transformation on ciphertexts in CRT representation. An early version of this work was published in CRYPTO 2012. The current report describes also more recent implementation work, done over the last two years.},
author = {Gentry, Craig and Research, Ibm and Halevi, Shai and Smart, Nigel P},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Gentry et al. - 2015 - Homomorphic Evaluation of the AES Circuit (Updated Implementation).pdf:pdf},
keywords = {AES,Fully Homomorphic Encryption,Implementation},
title = {{Homomorphic Evaluation of the AES Circuit (Updated Implementation)}},
url = {https://eprint.iacr.org/2012/099.pdf},
year = {2015}
}

@inproceedings{B12,
  author    = {Zvika Brakerski},
  title     = {Fully Homomorphic Encryption without Modulus Switching from Classical
               GapSVP},
  booktitle = {Advances in Cryptology - {CRYPTO} 2012 - 32nd Annual Cryptology Conference,
               Santa Barbara, CA, USA, August 19-23, 2012. Proceedings},
  pages     = {868--886},
  year      = {2012},
  crossref  = {DBLP:conf/crypto/2012},
  url       = {https://doi.org/10.1007/978-3-642-32009-5\_50},
  doi       = {10.1007/978-3-642-32009-5\_50},
  timestamp = {Tue, 14 May 2019 10:00:48 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/crypto/Brakerski12},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%%endGenII%


%%GenIII%
@inproceedings{GSW13,
  author    = {Craig Gentry and
               Amit Sahai and
               Brent Waters},
  title     = {Homomorphic Encryption from Learning with Errors: Conceptually-Simpler,
               Asymptotically-Faster, Attribute-Based},
  booktitle = {Advances in Cryptology - {CRYPTO} 2013 - 33rd Annual Cryptology Conference,
               Santa Barbara, CA, USA, August 18-22, 2013. Proceedings, Part {I}},
  pages     = {75--92},
  year      = {2013},
  crossref  = {DBLP:conf/crypto/2013-1},
  url       = {https://doi.org/10.1007/978-3-642-40041-4\_5},
  doi       = {10.1007/978-3-642-40041-4\_5},
  timestamp = {Tue, 14 May 2019 10:00:48 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/crypto/GentrySW13},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{DM15,
  author    = {L{\'{e}}o Ducas and
               Daniele Micciancio},
  title     = {{FHEW:} Bootstrapping Homomorphic Encryption in Less Than a Second},
  booktitle = {Advances in Cryptology - {EUROCRYPT} 2015 - 34th Annual International
               Conference on the Theory and Applications of Cryptographic Techniques,
               Sofia, Bulgaria, April 26-30, 2015, Proceedings, Part {I}},
  pages     = {617--640},
  year      = {2015},
  crossref  = {DBLP:conf/eurocrypt/2015-1},
  url       = {https://doi.org/10.1007/978-3-662-46800-5\_24},
  doi       = {10.1007/978-3-662-46800-5\_24},
  timestamp = {Tue, 14 May 2019 10:00:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/eurocrypt/DucasM15},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@inproceedings{BV13,
  author    = {Zvika Brakerski and
               Vinod Vaikuntanathan},
  title     = {Lattice-based {FHE} as secure as {PKE}},
  booktitle = {Innovations in Theoretical Computer Science, ITCS'14, Princeton, NJ,
               USA, January 12-14, 2014},
  pages     = {1--12},
  year      = {2014},
  crossref  = {DBLP:conf/innovations/2014},
  url       = {https://doi.org/10.1145/2554797.2554799},
  doi       = {10.1145/2554797.2554799},
  timestamp = {Tue, 27 Nov 2018 10:40:37 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/innovations/BrakerskiV14},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@inproceedings{SP14,
  author    = {Jacob Alperin{-}Sheriff and
               Chris Peikert},
  title     = {Faster Bootstrapping with Polynomial Error},
  booktitle = {Advances in Cryptology - {CRYPTO} 2014 - 34th Annual Cryptology Conference,
               Santa Barbara, CA, USA, August 17-21, 2014, Proceedings, Part {I}},
  pages     = {297--314},
  year      = {2014},
  crossref  = {DBLP:conf/crypto/2014-1},
  url       = {https://doi.org/10.1007/978-3-662-44371-2\_17},
  doi       = {10.1007/978-3-662-44371-2\_17},
  timestamp = {Tue, 14 May 2019 10:00:48 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/crypto/Alperin-SheriffP14},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{CKKS16,
  author    = {Jung Hee Cheon and
               Andrey Kim and
               Miran Kim and
               Yong Soo Song},
  title     = {Homomorphic Encryption for Arithmetic of Approximate Numbers},
  booktitle = {Advances in Cryptology - {ASIACRYPT} 2017 - 23rd International Conference
               on the Theory and Applications of Cryptology and Information Security,
               Hong Kong, China, December 3-7, 2017, Proceedings, Part {I}},
  pages     = {409--437},
  year      = {2017},
  crossref  = {DBLP:conf/asiacrypt/2017-1},
  url       = {https://doi.org/10.1007/978-3-319-70694-8\_15},
  doi       = {10.1007/978-3-319-70694-8\_15},
  timestamp = {Sun, 02 Jun 2019 21:16:53 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/asiacrypt/CheonKKS17},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{Hiromasa2015,
author = {Hiromasa, Ryo and Abe, Masayuki and Okamoto, Tatsuaki},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/GenIII/HAO15.pdf:pdf},
title = {{Packing Messages and Optimizing Bootstrapping in GSW-FHE Fully Homomorphic Encryption ( FHE ) ppt}},
year = {2015}
}

@article{Khedr2016,
abstract = {Homomorphic encryption (HE) systems enable computations on encrypted data, without decrypting and without knowledge of the secret key. In this work, we describe an optimized RLWE-based implementation of a variant of the HE system recently proposed by Gentry, Sahai and Waters (henceforth called GSW). Although this system was widely believed to be less efficient than its contemporaries, we demonstrate quite the opposite behavior for a large class of applications. We first highlight and carefully exploit the algebraic features of the system to achieve significant speedup over the state-of-the-art HE implementation, namely the IBM homomorphic encryption library (HElib). We introduce several optimizations on top of our HE implementation, and use the resulting scheme to construct a homomorphic Bayesian spam filter, secure multiple keyword search, and a homomorphic evaluator for binary decision trees.Our results show a factor of 10x improvement in performance (under the same security settings and platforms) compared to HElib for these applications. Our system is built to be easily portable to GPUs (unlike HElib) which results in an additional speedup of up to a factor of 10x to offer an overall speedup of 100x.},


author = {Khedr, Glenn Gluk, Vaikuntanathan},
doi = {10.1109/TC.2015.2500576},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/GenIII/KGV14.pdf:pdf},
issn = {00189340},
journal = {IEEE Transactions on Computers},
keywords = {Bayesian filter,FHE,GPU,Homomorphic encryption,Ring LWE,decision trees,implementation,secure search},
number = {9},
pages = {2848--2858},
title = {{SHIELD: Scalable Homomorphic Implementation of Encrypted Data-Classifiers}},
volume = {65},
year = {2016}
}

%%%endGenIII

%%%Libraries


%HeLib
@techreport{HaleviVictorShoup2015,
abstract = {Gentry's bootstrapping technique is still the only known method of obtaining fully homomor-phic encryption where the system's parameters do not depend on the complexity of the evaluated functions. Bootstrapping involves a recryption procedure where the scheme's decryption algorithm is evaluated homomorphically. So far, there have been precious few implementations of recryption, and fewer still that can handle "packed ciphertexts" that encrypt vectors of elements. In the current work, we report on an implementation of recryption of fully-packed ciphertexts using the HElib library for somewhat-homomorphic encryption. This implementation required extending the recryption algorithms from the literature, as well as many aspects of the HElib library. Our implementation supports bootstrapping of packed ciphertexts over many extension fields/rings. One example that we tested involves ciphertexts that encrypt vectors of 1024 elements from GF(2 16). In that setting, the recryption procedure takes under 5.5 minutes (at security-level ≈ 76) on a single core, and allows a depth-9 computation before the next recryption is needed.},
author = {{Halevi Victor Shoup}, Shai},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Halevi Victor Shoup - 2015 - Bootstrapping for HElib.pdf:pdf},
keywords = {Bootstrapping,Homomorphic Encryption,Implementation * Work partially done in IBM Resear},
title = {{Bootstrapping for HElib}},
url = {https://eprint.iacr.org/2014/873.pdf},
year = {2015}
}

@techreport{HaleviVictorShoup14a,
abstract = {HElib is a software library that implements homomorphic encryption (HE), specifically the Brakerski-Gentry-Vaikuntanathan (BGV) scheme, focusing on effective use of the Smart-Vercauteren ciphertext packing techniques and the Gentry-Halevi-Smart optimizations. The underlying cryptosystem serves as the equivalent of a "hardware platform" for HElib, in that it defines a set of operations that can be applied homomorphically, and specifies their cost. This "platform" is a SIMD environment (somewhat similar Intel SSE and the like), but with a unique cost metrics and parameters. In this report we describe some of the algorithms and optimization techniques that are used in HElib for data movement and simple linear algebra over this "platform."},
author = {{Halevi Victor Shoup}, Shai},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Halevi Victor Shoup - Unknown - Algorithms in HElib.pdf:pdf},
keywords = {Homomorphic Encryption,Implementation,SIMD},
title = {{Algorithms in HElib}},
url = {https://eprint.iacr.org/2014/106.pdf}
}


@misc{HS14b,
  author = {Shai Halevi, Shoup},
  title = {An Implementation of homomorphic encryption},
  year = {2014},
  publisher = {GitHub},
  journal = {GitHub repository},
  howpublished = {\url{https://github.com/shaih/HElib}},
  commit = {4f57d6a0e4c030202a07a60bc1bb1ed1544bf679}
}

%endHelib


%%SEAL
@techreport{FV12,
abstract = {In this paper we port Brakerski's fully homomorphic scheme based on the Learning With Errors (LWE) problem to the ring-LWE setting. We introduce two optimised versions of relinearisation that not only result in a smaller relinearisation key, but also faster computations. We provide a detailed , but simple analysis of the various homomorphic operations, such as multiplication, relinearisation and bootstrapping, and derive tight worst case bounds on the noise caused by these operations. The analysis of the bootstrap-ping step is greatly simplified by using a modulus switching trick. Finally, we derive concrete parameters for which the scheme provides a given level of security and becomes fully homomorphic.},
author = {Fan, Junfeng and Vercauteren, Frederik},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Fan, Vercauteren - Unknown - Somewhat Practical Fully Homomorphic Encryption(3).pdf:pdf},
title = {{Somewhat Practical Fully Homomorphic Encryption}},
url = {https://pdfs.semanticscholar.org/531f/8e756ea280f093138788ee896b3fa8ca085a.pdf}
}

@article{BEHZ2016,
author = {Bajard, Jean-claude and Eynard, Julien and Hasan, Anwar and Zucca, Vincent and Bajard, Jean-claude and Eynard, Julien and Hasan, Anwar and Zucca, Vincent and Rns, A Full},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Application/SEAL/BEHZ16.pdf:pdf},
title = {{A Full RNS Variant of FV like Somewhat Homomorphic Encryption Schemes To cite this version : HAL Id : hal-01371941 A Full RNS Variant of FV like Somewhat Homomorphic}},
year = {2016}
}

@article{MBGGKL2016,
author = {Aguilar-melchor, Carlos and Barrier, Joris and Guelton, Serge and Guinet, Adrien and Aguilar-melchor, Carlos and Barrier, Joris and Guelton, Serge and Guinet, Adrien and Killijian, Marc-Olivier and Aguilar-melchor, Carlos and Barrier, Joris and Guelton, Serge and Guinet, Adrien},
file = {:D$\backslash$:/References/Thesis/Thesis/Paper/Application/SEAL/MBGGKL16.pdf:pdf},
title = {{NFLlib : NTT-based Fast Lattice Library To cite this version : HAL Id : hal-01242273 NFLlib : NTT-based Fast Lattice Library}},
url = {https://hal.archives-ouvertes.fr/hal-01242273/document},
year = {2016}
}

@misc{Lep16,
  author = {T.Lepoint},
  title = {FV-NFLlib},
  year = {2013},
  publisher = {GitHub},
  journal = {GitHub repository},
  howpublished = {\url{https://github.com/CryptoExperts/FV-NFLlib}},
  commit = {4f57d6a0e4c030202a07a60bc1bb1ed1544bf679}
}
%%EndSEAL


%%%EndLibraries



@inproceedings{Regev,
  author    = {Oded Regev},
  title     = {On lattices, learning with errors, random linear codes, and cryptography},
  booktitle = {Proceedings of the 37th Annual {ACM} Symposium on Theory of Computing,
               Baltimore, MD, USA, May 22-24, 2005},
  pages     = {84--93},
  year      = {2005},
  crossref  = {DBLP:conf/stoc/2005},
  url       = {https://doi.org/10.1145/1060590.1060603},
  doi       = {10.1145/1060590.1060603},
  timestamp = {Wed, 14 Nov 2018 10:51:37 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/stoc/Regev05},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


@techreport{Peikert2013,
author = {Peikert, Chris},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Peikert - 2013 - Lattices to Cryptography.pdf:pdf},
title = {{Lattices to Cryptography}},
url = {https://web.eecs.umich.edu/{~}cpeikert/pubs/slides-visions.pdf},
year = {2013}
}

@PhdThesis{Nguyen1999,
author = {Phong Nguyen},
file = {:C$\backslash$:/Users/HP EliteBook/Dropbox/Thesis/PhD/PhD{\_}thesis{\_}Phong{\_}Nguyen.pdf:pdf},
title = {{La Geometrie des Nombres}},
year = {1999}
}

@aPhdThesis{Hieu2005,
author = {Hieu, Phan Duong},
file = {:C$\backslash$:/Users/HP EliteBook/Dropbox/Thesis/PhD/Phan{\_}Duong{\_}Hieu{\_}Phd.pdf:pdf},
title = {{S{\'{e}}curit{\'{e}} et efficacit{\'{e}} des sch{\'{e}}mas cryptographiques}},
year = {2005}
}

@techreport{Halevi2017a,
abstract = {Fully homomorphic encryption (FHE) has been called the "Swiss Army knife of cryptog-raphy", since it provides a single tool that can be uniformly applied to many cryptographic applications. In this tutorial we study FHE and describe its different properties, relations with other concepts in cryptography, and constructions. We briefly discuss the three generations of FHE constructions since Gentry's breakthrough result in 2009, and cover in detail the third-generation scheme of Gentry, Sahai, and Waters (GSW).},
author = {Halevi, Shai},
file = {:C$\backslash$:/Users/HP EliteBook/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Halevi - 2017 - Homomorphic Encryption(2).pdf:pdf},
title = {{Homomorphic Encryption}},
url = {https://shaih.github.io/pubs/he-chapter.pdf},
year = {2017}
}
%endKeyPaper

